PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerBinaryReadStringArray

reads a binary file an array of strings

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryReadStringArray(PetscViewer viewer,char ***data)

Collective

### Input Parameter

| viewer | - the binary viewer

### Output Parameter

| data | - location of the array of strings

### Notes

array of strings is null terminated

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages